#!/usr/bin/env sh
echo installing qemu;
sudo pacman -Syyu;
sudo pacman -S base-devel;
cd ~;
mkdir git;
cd git;
sudo pacman -S git;
git clone https://aur.archlinux.org/yay.git;
cd yay;
echo installing yay aka aur helper;
clear;
makepkg -si;
clear;
cd ..;
sudo pacman -S qemu virt-manager virt-viewer dnsmasq vde2 bridge-utils openbsd-netcat;
sudo pacman -S ebtables iptables;
sudo pacman -Syy;
yay -S --noconfirm --needed libguestfs;
sudo systemctl enable libvirtd.service;
sudo systemctl start libvirtd.service;
sudo rm /etc/libvirtd.conf;
sudo pacman -S wget;
sudo cp libvirtd.conf /etc;
sudo usermod -a -G libvirt $(whoami);
newgrp libvirt;
sudo systemctl restart libvirtd.service;
clear;
sudo modprobe -r kvm_intel;
sudo modprobe kvm_intel nested=1;
echo "options kvm-intel nested=1" | sudo tee /etc/modprobe.d/kvm-intel.conf;
systool -m kvm_intel -v | grep nested;
cat /sys/module/kvm_intel/parameters/nested;
clear;
